Bug 1260241 - RFE: install gdmflexiserver in /usr/libexec, and provide a wrapper script so that XFCE can switch users using either gdm or lightdm
RFE: install gdmflexiserver in /usr/libexec, and provide a wrapper script so ...
Status: NEW
Product: Fedora
Classification: Fedora
Component: xfce4-xfswitch-plugin (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-04 18:23 EDT by Sam Varshavchik
Modified: 2015-09-09 08:44 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2015-09-04 18:23:02 EDT
Continuing the discussion started in https://lists.fedoraproject.org/pipermail/devel/2015-September/214126.html

Proposal:

1) Install the gdmflexiserver binary as /usr/libexec/switch-user.gdm

2) Create a new gdm-switch-user subpackage, and add Requires: gdm-switch-user to the gdm package.

3) gdm-switch-user installs a wrapper shell script as /usr/bin/gdmflexiserver

4) The wrapper script looks at the target of the /etc/systemd/system/display-manager.service symlink, that points to /usr/lib/systemd/system/${name}.service, and the wrapper script executes /usr/libexec/switch-user.${name}

After that point, the lightdm package can be changed to also add Requires: gdm-switch-user, and to install its own /usr/libexec/switch-user.lightdm script.

The end result is:

Installing either the gdm or lightdm package pulls in all the necessary plumbing to make the "Switch user" link work in XFCE. Not only that, you could still install both of them in Fedora, and use systemd to switch between display managers, and have XFCE's "Switch User" do the right thing, and use each display manager, automatically, for this functionality.
Comment 1 Ray Strode [halfline] 2015-09-08 14:13:29 EDT
So this doesn't make much sense to me. why should running something that starts with "gdm" in its name make lightdm start up? I understand the problem you're having, and how your solution would fix the problem, but I don't think it makes sense architecturally.

Probably what would make more sense would be for xfce to either support lightdm directly, or hide the switch user option if gdm isn't running.
Comment 2 Sam Varshavchik 2015-09-09 06:32:22 EDT
Hiding the option unless gdm is installed would be a step backwards. XFCE is perfectly capable of using lightdm for this option, so taking it away completely isn't the right solution.
Comment 3 Raphael Groner 2015-09-09 06:47:34 EDT
The responsible (and optional) package is xfce4-xfswitch-plugin that is currently orphaned in rawhide. Maybe you want to ask at upstream if there is some patch possible to support also lightdm via dm-tool, this is not a point to discuss in a distribution as Fedora is, please do not complicate things that much. I agree with Ray Strode that gdmflexiserver is not the right thing to use as a wrapper.
Comment 4 Rex Dieter 2015-09-09 08:44:13 EDT
With my lightdm maintainer hat on, I wouldn't object to xfce providing *some* type of wrapper, but only if it doesn't replace or interfere with any existing gdmflexiserver (provided by gdm).  I also agree with other sentiments here, that xfce offering full/proper support (via using lightdm's dm-tool or whatever) would be even better.

Note You need to log in before you can comment on or make changes to this bug.